#-----------------------------------------------------------------------------
#
# ITKConfig.cmake - ITK CMake configuration file for external projects.
#
# This file is configured by ITK and used by the UseITK.cmake module
# to load ITK's settings for an external project.

# The ITK source tree.
SET(ITK_SOURCE_DIR "c:/build/Insight")

# The ITK include file directories.
SET(ITK_INCLUDE_DIRS "C:/opt/ITK/include/InsightToolkit;C:/opt/ITK/include/InsightToolkit/Algorithms;C:/opt/ITK/include/InsightToolkit/BasicFilters;C:/opt/ITK/include/InsightToolkit/Common;C:/opt/ITK/include/InsightToolkit/expat;C:/opt/ITK/include/InsightToolkit/Numerics;C:/opt/ITK/include/InsightToolkit/IO;C:/opt/ITK/include/InsightToolkit/Numerics/FEM;C:/opt/ITK/include/InsightToolkit/Numerics/Statistics;C:/opt/ITK/include/InsightToolkit/Numerics/NeuralNetworks;C:/opt/ITK/include/InsightToolkit/SpatialObject;C:/opt/ITK/include/InsightToolkit/Utilities/MetaIO;C:/opt/ITK/include/InsightToolkit/Utilities/NrrdIO;C:/opt/ITK/include/InsightToolkit/Utilities/DICOMParser;C:/opt/ITK/include/InsightToolkit/Utilities/itkExtHdrs;C:/opt/ITK/include/InsightToolkit/Utilities;C:/opt/ITK/include/InsightToolkit/Utilities/vxl/vcl;C:/opt/ITK/include/InsightToolkit/Utilities/vxl/core;C:/opt/ITK/include/InsightToolkit/gdcm;C:/opt/ITK/include/InsightToolkit/gdcm/src;C:/opt/ITK/include/InsightToolkit/Review")

# The ITK library directories.
SET(ITK_LIBRARY_DIRS "C:/opt/ITK/lib/InsightToolkit")

# The C and C++ flags added by ITK to the cmake-configured flags.
SET(ITK_REQUIRED_C_FLAGS "")
SET(ITK_REQUIRED_CXX_FLAGS " -DNOMINMAX")
SET(ITK_REQUIRED_LINK_FLAGS "")

# The ITK version number
SET(ITK_VERSION_MAJOR "3")
SET(ITK_VERSION_MINOR "2")
SET(ITK_VERSION_PATCH "0")

# The location of the UseITK.cmake file.
SET(ITK_USE_FILE "C:/opt/ITK/lib/InsightToolkit/UseITK.cmake")

# The build settings file.
SET(ITK_BUILD_SETTINGS_FILE "C:/opt/ITK/lib/InsightToolkit/ITKBuildSettings.cmake")

# Whether ITK was built with shared libraries.
SET(ITK_BUILD_SHARED "OFF")

# Whether ITK was built with Tcl wrapping support.
SET(ITK_CSWIG_TCL "OFF")
SET(ITK_CSWIG_PYTHON "OFF")
SET(ITK_CSWIG_JAVA "OFF")

# Path to CableSwig configuration used by ITK.
SET(ITK_CableSwig_DIR "c:/build/CableSwig-VS8")

# A list of all libraries for ITK.  Those listed here should
# automatically pull in their dependencies.
SET(ITK_LIBRARIES ITKAlgorithms ITKStatistics ITKFEM)

# The ITK library dependencies.
IF(NOT ITK_NO_LIBRARY_DEPENDS AND
    EXISTS "C:/opt/ITK/lib/InsightToolkit/ITKLibraryDepends.cmake")
  INCLUDE("C:/opt/ITK/lib/InsightToolkit/ITKLibraryDepends.cmake")
ENDIF(NOT ITK_NO_LIBRARY_DEPENDS AND
  EXISTS "C:/opt/ITK/lib/InsightToolkit/ITKLibraryDepends.cmake")

# Whether ITK was built using a system VXL or system gdcm
SET(ITK_USE_SYSTEM_VXL "OFF")
SET(ITK_USE_SYSTEM_GDCM "OFF")

# The VXL_DIR setting used to build ITK.  Set if ITK_USE_SYSTEM_VXL is true.
# same for gdcm
SET(ITK_VXL_DIR "")
SET(ITK_GDCM_DIR "")
